Page MenuHomePhabricator

Establish first end-to-end tests for Malu testing framework
Closed, DeclinedPublic

Description

Since we're off and running with the new framework, we should take a moment to establish a few basic end-to-end tests to support further prototype and pre-release development. (See T108874: Experiment with browser testing in other software languages for background on the initial experimentation.)

Event Timeline

dduvall created this task.Mar 29 2016, 10:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2016, 10:21 PM
zeljkofilipin triaged this task as Medium priority.
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.
zeljkofilipin removed zeljkofilipin as the assignee of this task.May 20 2016, 10:55 AM
zeljkofilipin removed a project: User-zeljkofilipin.
hashar closed this task as Declined.Apr 24 2017, 12:37 PM
hashar added a subscriber: hashar.

We are using Webdriver.io with the middlewar being directly into mediawiki/core, see https://www.mediawiki.org/wiki/Selenium/Node.js . Hence MALU tasks are all obsoletes and to be archived (T163159)